<?php

namespace Drupal\access_policy;

use Drupal\Core\Database\Query\Select;

/**
 * Select query stub class.
 *
 * This is a stub that is just used to help access rule plugins to modify the
 * main query and conditions in AccessPolicyQueryAlter.
 *
 * @deprecated in access_policy:1.0.0-alpha4 and is removed from access_policy:1.0.0-beta1
 *   Use an SqlQuery instead.
 */
class SelectQueryStub extends Select implements QueryInterface {

  /**
   * {@inheritdoc}
   */
  public function setDistinct() {
    return $this->distinct = TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function isDistinct() {
    return $this->distinct;
  }

  /**
   * {@inheritdoc}
   */
  public function getBaseTable() {
    return $this->getMetaData('base_table');
  }

  /**
   * {@inheritdoc}
   */
  public function getBaseField() {
    return $this->getMetaData('base_field');
  }

}
