<?php

namespace Drupal\access_policy\Plugin\AccessPolicyType;

/**
 * Public access policy type.
 *
 * @AccessPolicyType(
 *   id = "public",
 *   label = @Translation("Public"),
 *   description = @Translation("Do not restrict view access. Control edit and delete access with permissions."),
 *   weight = -2,
 *   operations = {
 *     "view" = { },
 *     "view all revisions" = {
 *         "permission" = true,
 *      },
 *     "update" = {
 *         "permission" = true,
 *      },
 *     "delete" = {
 *         "permission" = true,
 *      },
 *     "view unpublished" = {
 *         "permission" = true,
 *      },
 *     "manage access" = { },
 *   }
 * )
 */
class PublicAccess extends AccessPolicyTypeBase {

}
