<?php

namespace Drupal\access_policy_test\Plugin\AccessRule;

use Drupal\Core\Database\Query\SelectInterface;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\access_policy\Plugin\AccessRule\AccessRuleBase;
use Drupal\access_policy\Plugin\AccessRule\AccessRulePluginInterface;

/**
 * Access Rule Test.
 *
 * @AccessRule(
 *   id = "access_rule_test",
 * )
 */
class AccessRuleTest extends AccessRuleBase implements AccessRulePluginInterface {

  /**
   * {@inheritdoc}
   */
  public function isApplicable(EntityInterface $entity) {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function validate(EntityInterface $entity, AccountInterface $account) {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function queryAlter(SelectInterface $query, AccountInterface $user) {

  }

}
